<?php
class IndexController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->paginacion = Zend_Registry::get('paginacion');
        $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $response = $this->getResponse();
        $response->insert('header' , $this->view->render("header.phtml"));
        //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $this->view->pageTitle = "iMecanix - Gestión integral de talleres mecánicos";
        $this->view->title = 'Inicio';
    }
}