<?php
class AjaxAuxController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            echo 'No se ha autenticado';
        }
    }
    
    public function comunasAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();

            $param = $this->_getParam('term');
            $data = Default_Model_AuxComuna::search($param);
            $dataJson = Zend_Json_Encoder::encode($data);
            echo $dataJson;
        }
    }

    public function ciudadesAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();

            $param = $this->_getParam('term');
            $data = Default_Model_AuxCiudad::search($param);
            $dataJson = Zend_Json_Encoder::encode($data);
            echo $dataJson;
        }
    }
}