<?php
class AjaxCategoriaArticuloController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            echo 'No se ha autenticado';
        }
    }
    
    public function searchAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();

            $param = $this->_getParam('term');
            $data = Default_Model_VistaCategoriasArticulos::search($param);
            $result = Zend_Json_Encoder::encode($data);
            echo $result;
        }
    }

    /* PARA ELIMINAR */
    /*
    public function getSelectCategoriasAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();

        $categoria_id = new Zend_Form_Element_Select('categoria_id');
        $categoria_id->setlabel('Categoría artículo')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addMultiOption('','-- Seleccionar categoría --')
               ->addMultiOptions(CategoriaArticulo::getPairsToSelect())
               ->setDecorators(array(
                    array('ViewHelper'),
                    array('Errors'),
                    array('Description'),
                    array('Label', array('separator'=>' ')),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso'))
                ));
        $cantidad = new Zend_Form_Element_Text('cantidad');
        $cantidad->setLabel('Cantidad a comprar')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addValidator('Int')
               ->setDecorators(array(
                    array('ViewHelper'),
                    array('Errors'),
                    array('Description'),
                    array('Label', array('separator'=>' ')),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso'))
                ));

        $precio = new Zend_Form_Element_Text('precio');
        $precio->setLabel('Valor unitario neto de compra')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addValidator('Int')
               ->setDecorators(array(
                    array('ViewHelper'),
                    array('Errors'),
                    array('Description'),
                    array('Label', array('separator'=>' ')),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso'))
                ));

        echo $categoria_id.$cantidad.$precio;
    }
     *
     */
}