<?php
class Default_Form_FilterByCliente extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $cliente = new Zend_Form_Element_Select('cliente');
        $cliente->setRequired(true)
                ->addMultiOptions(Default_Model_cliente::getPairsToSelect())
                ->setAttrib('class', 'input-xlarge');
        $this->addElements(array($cliente));

        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
       
        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));    
        
        $this->setAttribs(array(
                'class'     => 'form-search form-navbar',
                'name'      => 'filter-by'
            ));

    } 
} 
