<?php
class Default_Model_Envase extends Zend_Db_Table_Abstract
{
    protected $_name = 'envases';
    protected $_primary = 'id';
    
    public static function getPairsToSelect()
    {
        $adapter = self::getDefaultAdapter();
        $select = $adapter->select()
            ->from(array('e' => 'articulos'),
                   array('codigo', 'codigo_proveedor', 'nombre', 'estado', 'stock_minimo', 'stock_actual'))
            ->join(array('ca' => 'categorias_articulos'), 'ca.id=a.categoria_id', array('categoria' => 'nombre'))
            ->join(array('fa' => 'fabricantes'), 'fa.id=a.fabricante_id', array('fabricante' => 'nombre'))
            ->join(array('al' => 'almacenes'), 'al.id=a.almacen_id', array('almacen' => 'nombre'))    
            ->order($order);

        return $adapter->fetchPairs($select);
    }
}