<?php
class Default_Model_PagoRecibidoCodigoTransaccion extends Zend_Db_Table_Abstract
{
    protected $_name = 'pagos_recibidos_codigos_transacciones';
    protected $_primary = 'pago_id';
    
    public function getRowByPagoId($pago_id)
    {
        $where = $this->getAdapter()->quoteInto("pago_id=?", (int)$pago_id);
        return $this->fetchRow($where);
    }
    
    public function crear($data, $usuario)
    {
        $data['creador'] = $usuario;
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
}