<?php
class Zend_View_Helper_AjaxToolTip
{
    function ajaxToolTip($adjunto_a , $mensaje, $style = null, $clases = 'comment-small', $id = 1 )
    {
        $contents = array();
        $contents['alerta_mail']    = 'Genera un <strong>correo electrónico al administrador</strong> cada vez que se realiza un movimiento de este tipo.<br /> Recomendado para ajustes de inventario y operaciones similares.';
        $contents['cantidad']       = 'Debe ingresar un número entero, sin palabras ni signos.';
        $contents['etiquetas']      = 'Las etiquetas permiten clasificar y organizar en diversas categorías a la vez. <br />
                                       Para ingresar más de una etiqueta, ingréselas separadas por coma (,).<br />
                                       Por ejemplo, un contacto de la categoría "proveedores" que es vendedor podría <br />
                                       llevar las etiquetas :<strong>"vendedor" y "lubricantes".  </strong>';
        $contents['decimal']        = 'Puede ingresar un número entero o un decimal con el siguiente formato : <strong>4.5</strong>';
        $contents['patente']        = 'Ingrese la placa patente sin espacios ni guiones, por ejemplo : <strong>AB1234</strong> o <strong>ABCD12</strong>';

        if($mensaje!=null) {
            if(array_key_exists($mensaje, $contents)) {
                $content = $contents[$mensaje];

                $ajaxToolTip = '$("#'.$adjunto_a.'").after(\'<div id="tt'.$id.'" class="ajax_window_button '.$clases.'"';
 
                if($style!=null) {
                    $ajaxToolTip .= ' style="'.$style.'" ';
                }

                $ajaxToolTip .= '></div>\');';
                $ajaxToolTip .= '$("#tt'.$id.'").qtip({';
                $ajaxToolTip .= 'content: \''.$content.'\',';
                $ajaxToolTip .= 'style: { name: \'green\'},';
                $ajaxToolTip .= 'position: { corner: { target: \'topRight\', tooltip: \'bottomLeft\'}}});';

                return $ajaxToolTip;

            } else {
                return false;
            }
        } else {
            return false;
        }
    }
}
