<?php
class Zend_View_Helper_GetModulosAutorizados
{
	
    function getModulosAutorizados($usuario)
    {
        $table_permiso = new Default_Model_Permiso();
        $where = $table_permiso->getAdapter()->quoteInto("usuario=?", $usuario);
        $permisos = $table_permiso->fetchAll($where)->toArray();

        $modulos = array();
        $i = 0;

        foreach($permisos as $permiso){

            $modulos[$i]['id'] = $permiso['modulo_id'];

            $table_modulo = new Default_Model_Modulo();
            $where_modulo = $table_modulo->getAdapter()->quoteInto("id=?", $permiso['modulo_id']);
            $modulo = $table_modulo->fetchRow($where_modulo)->toArray();

            $modulos[$i]['init_path'] = $modulo['init_path'];
            $modulos[$i]['nombre'] = utf8_encode($modulo['nombre']);
            $i++;
        }
        return $modulos;
    }
}
