<?php
class CostosTrabajosController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Costos de trabajos';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $propietario = new Default_Model_SistemaPropietario();
        $this->view->propietario = $propietario->fetchRow();
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
            //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $costo = new Default_Model_CostoTrabajo();
        
        $formCostoItem = new Default_Form_CostoItem();
        
        $this->view->items = $costo->getItemsDIsponibles();
        $this->view->form = $formCostoItem;
        $this->view->title = 'Costos de trabajos';
    }
}
