<?php
class Default_Form_NuevoItem extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $this->setName("new_item");
     
        $valor = new Zend_Form_Element_Text('valor');
        $valor->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator('NotEmpty');
              
        $submit = new Zend_Form_Element_Submit('agregar');
        $submit->setLabel('Agregar')
               ->setAttrib('class','submit_button'); 
        
        $this->addElements(array($valor, $submit));
            

        /* alternative decoration */

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttrib('class' , 'pop_up');
             
        $this->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
             )); 
    } 
} 
