<?php
class Default_Form_TerminoTarea extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);
        
        $this->setName("termino_tarea");

        $observaciones = new Zend_Form_Element_Textarea('observaciones');
        $observaciones->setLabel('Observaciones')
               ->setRequired(true)
               ->setValue('Sin observaciones')
               ->addFilter('StripTags')
               ->addFilter('StringTrim');
        
        $submit = new Zend_Form_Element_Submit('terminar');
        $submit->setLabel('Terminar')
               ->setAttrib('class','submit_button');
        
        $this->addElements(
            array(
                $observaciones, $submit
            ));
            

        /* alternative decoration */

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttrib('class' , 'pop_up');
             
        $this->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
             ));
    } 
} 
