<?php
class Default_Model_PautaMantenimientoModelo extends Zend_Db_Table_Abstract
{
    protected $_name = 'pautas_mantenimiento_modelos';
    protected $_primary = 'id';
    
    public function getRowsByModeloId($modelo_id)
    {
        $where = $this->getAdapter()->quoteInto("modelo_id=?", $modelo_id);
        return $this->fetchAll($where);
    }
    
    public function getAllToSelect($patente)
    {
        return $this->getRowsByModeloId($this->_getModeloId($patente));
    }
    
    private function _getModeloId($patente)
    {
        $vehiculo = new Default_Model_Vehiculo();
        $vehiculo->setPatente($patente);
        return $vehiculo->getRow()->modelo;
    }
}