<?php
class Zend_View_Helper_PrintEtiquetaEstado
{
	
    function printEtiquetaEstado($estado = NULL)
    {
        $etiqueta = '<span class="label ';
        
        if($estado) {
            
            switch ($estado) {
                case 'EN PROCESO':
                    $etiqueta .= ' label-info';
                    break;
                
                case 'EMITIDA':
                case 'CONCRETADA':
                case 'TERMINADA':    
                case 'ACTIVO' :    
                case 'ENVIADA' :
                case 'DISPONIBLE' :  
                case 'RECIBIDO' :  
                case 'COBRADO' :   
                case 'VIGENTE' : 
                case 'HABILITADA' :   
                case 'INSTALADA' :     
                    $etiqueta .= ' label-success';
                    break;
                
                case 'RECHAZADA':
                case 'DESHABILITADO':  
                case 'NO CONCRETADA':
                case 'NO DISPONIBLE': 
                case 'NO VIGENTE' :    
                    $etiqueta .= ' label-error';
                    break;
                
                case 'BORRADOR':
                case 'PRESUPUESTO':    
                    $etiqueta .= ' label-default';
                    break;
                case 'PENDIENTE':
                    $etiqueta .= ' label-warning';
                    break;
            }
        }
        
        $etiqueta .= '">' . $estado . '</span>';
        return $etiqueta;
    }
}
